Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ShareChatWithBot

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ShareChatWithBot

Enclosing class:
  TdApi

public static final class TdApi.ShareChatWithBot extends TdApi.Function<TdApi.Ok>
Shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`buttonId`
Identifier of the button.
`long`
`chatId`
Identifier of the chat with the bot.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`messageId`
Identifier of the message with the button.
`boolean`
`onlyCheck`
Pass true to check that the chat can be shared by the button instead of actually sharing it.
`long`
`sharedChatId`
Identifier of the shared chat.

## Constructor Summary

Constructors
Constructor
Description
`ShareChatWithBot()`
Shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.
`ShareChatWithBot(long chatId, long messageId, int buttonId, long sharedChatId, boolean onlyCheck)`
Shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.
`ShareChatWithBot(DataInput input)`
Shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat with the bot.

### messageId

public long messageId
Identifier of the message with the button.

### buttonId

public int buttonId
Identifier of the button.

### sharedChatId

public long sharedChatId
Identifier of the shared chat.

### onlyCheck

public boolean onlyCheck
Pass true to check that the chat can be shared by the button instead of actually sharing it. Doesn't check botIsMember and botAdministratorRights restrictions. If the bot must be a member, then all chats from getGroupsInCommon and all chats, where the user can add the bot, are suitable. In the latter case the bot will be automatically added to the chat. If the bot must be an administrator, then all chats, where the bot already has requested rights or can be added to administrators by the user, are suitable. In the latter case the bot will be automatically granted requested rights.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ShareChatWithBot

public ShareChatWithBot()
Shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.

Returns `Ok`

### ShareChatWithBot

public ShareChatWithBot(long chatId, long messageId, int buttonId, long sharedChatId, boolean onlyCheck)
Shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.

Returns `Ok`

Parameters:
  `chatId` - Identifier of the chat with the bot.
  `messageId` - Identifier of the message with the button.
  `buttonId` - Identifier of the button.
  `sharedChatId` - Identifier of the shared chat.
  `onlyCheck` - Pass true to check that the chat can be shared by the button instead of actually sharing it. Doesn't check botIsMember and botAdministratorRights restrictions. If the bot must be a member, then all chats from getGroupsInCommon and all chats, where the user can add the bot, are suitable. In the latter case the bot will be automatically added to the chat. If the bot must be an administrator, then all chats, where the bot already has requested rights or can be added to administrators by the user, are suitable. In the latter case the bot will be automatically granted requested rights.

  Returns `Ok`

### ShareChatWithBot

public ShareChatWithBot(DataInput input) throws IOException
Shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`